﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Chess.Test
{
    public class King : Piece
    {
        public override IEnumerable<BoardCoordinate> GetMovesFrom(BoardCoordinate bc, int boardSize)
        {
            return GetRadialDiagonalFrom(bc, 1)
                .Union(GetAdjacentFrom(bc, 1))
                .Where(c => c.IsValidCoordinateForBoardSize(boardSize));
        }
    }
}
